Bug 189093 - Review Request: mono-debugger
Review Request: mono-debugger
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2006-04-15 20:24 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 10:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New spec file (3.15 KB, application/x-extension-spec)
2006-08-28 17:30 EDT, Paul F. Johnson
no flags Details
monodebug-configure patch (1.22 KB, patch)
2006-08-28 17:41 EDT, Paul F. Johnson
no flags Details | Diff
Fixed spec file (3.09 KB, application/x-extension-spec)
2006-08-30 20:17 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2006-04-15 20:24:40 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/mono-debugger.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/mono-debugger-0.12-1.src.rpm
Description: 

mono-debugger is a debugger for mono which can be executed from either the command line or as part of MonoDevelop
Comment 1 Paul F. Johnson 2006-04-18 18:14:49 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/mono-debugger.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/mono-debugger-0.12-2.src.rpm

libdir set to /usr/lib irrespective of hardware built on
spec file minor tweaks
Comment 2 John Mahowald 2006-04-22 17:11:46 EDT
Not building in mock. Should move Requires: glib2 to BuildRequires: glib2-devel

checking for glib-2.0 >= 2.0.0... Package glib-2.0 was not found in the
pkg-config search path. Perhaps you should add the directory containing
`glib-2.0.pc' to the PKG_CONFIG_PATH environment variable No package 'glib-2.0'
found
configure: error: Library requirements (glib-2.0 >= 2.0.0) not met; consider
adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a
nonstandard prefix so pkg-config can find them.
Comment 3 Paul F. Johnson 2006-06-02 11:09:42 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/mono-debugger.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/mono-debugger-0.12-3.src.rpm

Change log

Fix for glib2-devel (#2)
Added devel package
64 bit architecture fix
Spec file tweaks
Added --disable-static to the configure line and removed the find line in the
installer
Comment 4 Paul F. Johnson 2006-06-04 09:34:39 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mono-debugger.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mono-debugger-0.12-3.src.rpm

Change of URL
Comment 5 Iago Rubio 2006-06-04 15:13:11 EDT
Those globs in %files are playing evil with directories ownership.

[iago@puhisher ~]$ rpm -qf /usr/lib/mono/1.0
mono-core-1.1.13.7-1.fc5.1
mono-debugger-0.12-3

[iago@puhisher ~]$ rpm -qf /usr/lib/mono/gac
gtk-sharp2-2.8.2-1
gtk-sharp-1.0.10-5
mono-core-1.1.13.7-1.fc5.1
gtksourceview-sharp-2.0-7
monodoc-1.1.13-6
mono-debugger-0.12-3

Both /usr/lib/mono/1.0 and /usr/lib/mono/gac should be owned by mono-core.

A quick fix up for mono-debugger.spec:

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README README.FreeBSD README.build TODO NEWS
RELEASE-NOTES*
%{_bindir}/mdb
%{_libdir}/*.so*
%{_libdir}/mono/1.0/*.exe
%{_libdir}/mono/1.0/gac/Mono.Debugger/*
%{_libdir}/mono/1.0/gac/Mono.Debugger.Cecil/*
%{_libdir}/pkgconfig/mono-debugger.pc
Comment 6 Paul F. Johnson 2006-06-04 17:16:14 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mono-debugger.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mono-debugger-0.12-4.src.rpm

Addresses problems seen in #5
Comment 7 John Mahowald 2006-07-08 01:02:32 EDT
SRPM is 404 not found.
Comment 8 Paul F. Johnson 2006-08-10 07:17:33 EDT
Sorry. Should be up in the next couple of mins.
Comment 9 John Mahowald 2006-08-16 13:08:55 EDT
Still missing glib2-devel in BuildRequires. Also missing mono-devel

Missing a %clean section.

Doesn't build on x86_64, pkgconfig is not finding mono.

checking for mono >= 1.1.13 glib-2.0 >= 2.0.0 ... Package mono was not found in
the pkg-config search path. Perhaps you should add the directory containing
`mono.pc' to the PKG_CONFIG_PATH environment variable No package 'mono' found
configure: error: Library requirements (mono >= 1.1.13 glib-2.0 >= 2.0.0 ) not
met; consider adjusting the PKG_CONFIG_PATH environment variable if your
libraries are in a nonstandard prefix so pkg-config can find them.

mono-devel does provide /usr/lib64/pkgconfig/mono.pc on x86_64.

The redefining _libdir part should go.
Comment 10 Paul F. Johnson 2006-08-16 17:04:49 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mono-debugger.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mono-debugger-0.30-1.src.rpm

Bump to new version
Fixes the problems listed above. The mono hack is currently okay (grudgingly)

I have a feeling that when this is approved, that monodevelop will be able to
use it as well :-)
Comment 11 Paul F. Johnson 2006-08-16 17:12:05 EDT
mono-devel does provide /usr/lib64/pkgconfig/mono.pc on x86_64.

No. mono-libs-devel provides the mono.pc file
Comment 12 Paul F. Johnson 2006-08-23 07:03:07 EDT
Ping!

It looks like mono-debugger is going to be required for the next release of
MonoDevelop (due shortly) so this package could probably do with being looked at
Comment 13 Paul F. Johnson 2006-08-23 08:01:12 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mono-debugger.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mono-debugger-0.30-2.src.rpm

Removes the old mono hack
Rebuilt for new mono packages
Added BR mono-nunit
Added R pkgconfig for -devel
Comment 14 Paul F. Johnson 2006-08-27 06:06:58 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mono-debugger.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mono-debugger-0.30-3.src.rpm

Fixes correctly for 64 bit
Additional BRs (autoconf and automake)
Moved README.build to the -devel package
Fixed ownership problem on a directory
Comment 15 John Mahowald 2006-08-28 14:21:56 EDT
Better with the libdir fix, but still needs some work:
- Missing a %defattr entry for devel package
- Source0 is 404, looks like you want
http://go-mono.com/sources/mono-debugger/mono-debugger-0.30.tar.gz
- don't disable debug, there is debugging symbols.
- license is not LGPL, looks like MIT
Comment 16 Paul F. Johnson 2006-08-28 15:08:08 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mono-debugger.spec

Fixes all from #15 - tar ball is the same
Comment 17 Paul F. Johnson 2006-08-28 17:30:31 EDT
Created attachment 135088 [details]
New spec file

Sorry had to put the new spec file here, but I can't seem to upload at the
moment
Comment 18 Paul F. Johnson 2006-08-28 17:41:21 EDT
Created attachment 135090 [details]
monodebug-configure patch
Comment 19 John Mahowald 2006-08-30 10:53:08 EDT
Doesn't build, needs a BuildRequires: libtool to get past autoreconf.

When it does build, I get:
E: mono-debugger shlib-with-non-pic-code /usr/lib64/libmonodebuggerreadline.so.0.0.0

Not sure why, the build log indicates compiling with -fPIC
Comment 20 Paul F. Johnson 2006-08-30 20:17:36 EDT
Created attachment 135251 [details]
Fixed spec file

Fixes the libtool problem. I can't reproduce the fPIC problem (though I thought
that problem was no longer a blocker or something like that)
Comment 21 John Mahowald 2006-09-01 21:22:20 EDT
+ License (MIT)
+ source matches upstream
+ builds fine on x86_64, with libdir patch
+ devel package with pkgconfig file
+ name-version-release follows guidelines
+ proper use of macros
+ proper file permissions
+ *.la files removed
+ proper clean section

APPROVED
Comment 22 Paul F. Johnson 2006-09-02 10:23:01 EDT
I've had to add excludearch-ppc to get it to build on the buildsys due to
missing definitions in the ppc %{_includedir}/sys/user.h file
Comment 23 Christian Iseli 2006-12-31 06:25:49 EST
Please do not remove the FE-ACCEPT blocker.  Thanks.
Comment 24 David Woodhouse 2007-01-06 21:48:45 EST
Is this package still excluded on PPC? If so, the bug on the FE-ExcludeArch-ppc
tracker shouldn't be closed. Please could you open a new bug if the package
still isn't working -- and then fix the bug too :)
Comment 25 Paul F. Johnson 2007-01-07 04:53:12 EST
The bug is down to something missing in the PPC version of glibc (it's not been
ported across if memory serves me right). I did file a BZ report on it but was
told that the missing bit wasn't going to be implemented.
Comment 26 David Woodhouse 2007-01-07 05:23:10 EST
What bugzilla number?

If the "something missing" is something that mono-debugger can't do without,
then it would be strange for the glibc bug to be closed 'wontfix'. If it's
something that mono-debugger _can_ do without, then mono-debugger should be fixed. 

Either way, there should be a bug filed against mono-debugger which
 a) Clearly explains the problem
 b) depends on the glibc bug you mention
 c) blocks FE-ExcludeArch-ppc
Comment 27 David Woodhouse 2007-01-07 05:48:35 EST
Aha, it seems to be bug 205017. 

Note You need to log in before you can comment on or make changes to this bug.